DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FTSphere

Generated Fourier transform of a sphere

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_FTSphere ( image, radius, amplitude )

## DATA TYPES

Output: sfloat, scomplex

## FUNCTION

Generates the Fourier transform of a sphere with radius `radius` and an amplitude of `amplitude`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output Image
`dip_float` | `radius` | Radius
`dip_float` | `amplitude` | Amplitude

## KNOWN BUGS

This function is only implemented for images with a dimensionality up to three.

## SEE ALSO

`FTEllipsoid`, `FTBox`, `FTCube`, `FTCross`, `FTGaussian`

DIPlib on-line documentation | Function reference | Global function index